/* ========================================================================== */
/* TB Mega Menu — Template (Image Column)                                      */
/* ========================================================================== */

#tb-main-nav .tbm-submenu .tbm-column.image-column img {
	display: block;
	width: 100%;
	/* height: 264px; */
	margin-bottom: 1rem;
	object-fit: cover;
	object-position: top center;
	border-radius: var(--border-radius);
}

#tb-main-nav .tbm-submenu .tbm-column.image-column p {
	padding: 0 0.5rem;
	font-size: 0.875rem;

	transform: translateY(-0.5rem);
	padding: 1.125rem 1.5rem;
	margin: -1.5rem 1rem 0.625rem 1rem;
	background: rgb(255 255 255);
	backdrop-filter: blur(4px);
	border-radius: 0.25rem;
	line-height: 160%;
}

/* #tb-main-nav .tbm-submenu .tbm-column.image-column p:last-child {
	margin-bottom: 0 !important;
} */

/* Responsive - Open */

#tb-main-nav .tbm.tbm--mobile.tbm--mobile-show .tbm-collapse {
	transform: translateX(0);
}

#tb-main-nav .tbm.tbm--mobile .tbm-collapse {
	display: block;
	position: fixed;
	inset: 0;
	margin: 0;
	width: 100%;
	height: 100vh !important;
	overflow: auto !important;
	transform: translateX(100%);
	transition: all 500ms;
	border-radius: 0;
	background-color: #fff;
	z-index: 499;
	padding: 0;
}

#tb-main-nav .tbm.tbm--mobile .tbm-nav {
	padding: 0 0.75rem 0.75rem 0.75rem;
}

#tb-main-nav .tbm.tbm--mobile .tbm-submenu {
	height: 0px;
	overflow: hidden;
	transition: height 700ms ease;
	display: block;
	border: none;
}

#tb-main-nav .tbm.tbm--mobile .tbm-submenu .tbm-row {
	padding: 0.625rem 0 0.625rem 0.875rem;
}

#tb-main-nav .tbm.tbm--mobile .tbm-item {
	border: none;
}
#tb-main-nav li.tbm-item {
	padding: 0 !important;
}

#tb-main-nav .tbm.tbm--mobile .tbm-item.level-1 > .tbm-link-container {
	border-bottom: 1px solid black;
}

#tb-main-nav
	.tbm.tbm--mobile
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-1
	> .tbm-link-container
	> a,
#tb-main-nav
	.tbm.tbm--mobile
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-1
	> .tbm-link-container
	> span.no-link {
	padding: 1rem 0 1rem 0;
	text-transform: uppercase;
	flex-grow: 0;
}

#tb-main-nav
	.tbm.tbm--mobile
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-1
	> .tbm-link-container
	> span.no-link::after {
	display: none !important;
}

/* Responsive - Close */

/* ========================================================================== */
/* TB Mega Menu — Base                                                         */
/* ========================================================================== */

#tb-main-nav .tbm {
	background: none;
}

#tb-main-nav .tbm .tbm-nav {
	background: none;
}

#tb-main-nav .tbm-submenu .tbm-row {
	gap: 1.25rem;
}

/* ========================================================================== */
/* Level 0 (Top Nav)                                                           */
/* ========================================================================== */

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.level-1 {
	border: 0;
	padding: 0;
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.level-1 > .tbm-link-container > a,
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-1
	> .tbm-link-container
	> span.no-link {
	color: var(--tb-mm-lv0-color);
	font-family: var(--tb-mm-secondary-font-family);
	font-size: var(--tb-mm-font-size);
	font-weight: var(--tb-mm-font-weight);
	padding: 1rem;
	padding: var(--tb-mm-lv0-padding);
	line-height: normal;
	background: transparent;
	border: none;
	transition: all 200ms ease-in-out;
}

#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item
	> .tbm-link-container
	> a.tbm-link:hover,
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item
	> .tbm-link-container
	> span.no-link:hover {
	color: var(--tb-mm-lv0-color-hover);
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.open > .tbm-link-container > a,
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.open
	> .tbm-link-container
	> span.no-link {
	color: var(--color-primary);
}

#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.active
	> .tbm-link-container
	> a.active-trail,
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.active
	> .tbm-link-container
	> span.no-link.active-trail {
	color: var(--tb-mm-lv0-color-active);
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-link.level-1 {
	gap: 0.5rem;
	position: relative;
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item--has-dropdown
	.tbm-link.level-1::before {
	background: linear-gradient(
		180deg,
		rgba(210, 232, 237, 0.75) 0%,
		rgba(255, 255, 255, 0) 100%
	);
	border-radius: 0.25rem 0.25rem 0 0;
	bottom: 0;
	content: '';
	display: block;
	height: calc(100% - 1rem);
	left: 0;
	opacity: 0;
	position: absolute;
	transition: all 200ms ease-out;
	width: 100%;
	z-index: -1;
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item--has-dropdown
	.tbm-link.level-1::after {
	color: #008099;
	content: '\f078';
	display: block !important;
	font-family: 'Font Awesome 7 Pro';
	font-size: 12px;
	font-weight: 400;
	line-height: 100%;
	transform: translateY(0px);
	transition: all 150ms ease-in-out;
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item--has-dropdown.active-trail
	.tbm-link.level-1::after {
	color: var(--tb-mm-lv1-color-active);
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item--has-dropdown.open
	.tbm-link.level-1::before {
	height: calc(100% - 0.5rem);
	opacity: 1;
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item--has-dropdown.open
	.tbm-link.level-1::after {
	transform: translateY(3px);
}

/* ========================================================================== */
/* Level 1 (Dropdown Items)                                                    */
/* ========================================================================== */

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.level-2 {
	padding: 0;
	border-bottom: 1px solid var(--color-secondary-200);
	border: none !important;
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.level-2 .tbm-link-container > a,
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-2
	> .tbm-link-container
	> span.no-link {
	color: #000;
	font-family: var(--tb-mm-primary-font-family);
	font-size: var(--tb-mm-lv1-font-size);
	font-weight: var(--tb-mm-lv1-font-weight);
	line-height: 130%;
	padding: var(--tb-mm-lv1-padding);
	transition: all 200ms ease-in-out;
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item.level-2 .tbm-group-container {
	border: none !important;
}

#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-2
	> .tbm-link-container
	> span.no-link.tbm-group-title {
	align-items: flex-end;
	background: linear-gradient(
		90deg,
		rgba(210, 232, 237, 0.25) 0%,
		rgba(255, 255, 255, 1) 100%
	);
	border-radius: 0.25rem;
	/* border-bottom: 1px solid #d2e8ed; */
	color: #000000 !important;
	display: flex;
	font-family: var(--tb-mm-secondary-font-family);
	font-size: 12px;
	font-weight: 700;
	gap: 0.5rem;
	letter-spacing: 3px;
	margin-bottom: 0.5rem;
	padding: 0.75rem;
}

#tb-main-nav .tbm-collapse .tbm-nav .tbm-item .tbm-link [class^='fa-'] {
	color: var(--color-primary);
	font-size: 10px !important;
	margin: 0 4px 0 12px;
	transform: translateY(-2px);
}
#tb-main-nav
	.tbm-collapse
	.tbm-nav
	.tbm-item.level-2
	> .tbm-link-container
	> span.no-link.tbm-group-title
	[class^='fa-'] {
	color: var(--color-primary);
	font-size: 1.125rem !important;
	margin: 0 !important;
	transform: translateY(0px);
}

#tb-main-nav .tbm-item.level-2.tbm-group {
	margin-bottom: 1rem;
}

/* ========================================================================== */
/* Large Screens (≥ 1025px)                                                    */
/* ========================================================================== */

@media screen and (min-width: 1025px) {
	#tb-main-nav .tbm .tbm-nav {
		justify-content: end;
		align-items: center;
	}

	#tb-main-nav .tbm-submenu {
		border: none;
		border-top: 4px solid var(--color-secondary);
		box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.1);
		/* padding: 0.5rem 0.5rem 1.75rem 0.5rem; */
		padding: 0.125rem;
		top: 100%;
	}
	.user-logged-in #tb-main-nav .members-button .tbm-submenu {
		border-color: #ffc840;
	}
	#tb-main-nav .tbm-submenu > .tbm-row > .tbm-column {
		padding: 1rem 1rem 1rem 0;
		padding: 1.5rem 0.5rem 1rem 0.5rem;
	}
	#tb-main-nav .tbm-submenu > .tbm-row > .tbm-column.image-column {
		background: #e7f4f7;
		background: #85c4d2;
		padding: 0;
	}
	#tb-main-nav .tbm-submenu > .tbm-row > .tbm-column.upcoming-meeting {
		padding-right: 1.5rem !important;
	}

	/* Button - Open */
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> a,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> span.no-link {
		background-color: var(--color-primary-600);
		border-radius: var(--border-radius-buttons);
		color: #fff !important;
		font-weight: 500;
		padding: 1rem !important;
		text-decoration: none;
	}

	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> a::after,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> span.no-link::after,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> a::after,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> span.no-link::after {
		color: #ffffff !important;
	}

	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> a,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> span.no-link {
		background-color: var(--color-primary);
		color: #fff !important;
	}

	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> a,
	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> span.no-link {
		background-color: var(--color-amber-500);
		color: #121b1d !important;
	}

	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> a,
	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> span.no-link {
		background-color: var(--color-amber-300);
		color: #121b1d !important;
	}

	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> a::after,
	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button
		> .tbm-link-container
		> span.no-link::after,
	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> a::after,
	.user-logged-in
		#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.tb-mm-button.open
		> .tbm-link-container
		> span.no-link::after {
		color: #121b1d !important;
	}

	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.members-button
		> .tbm-link-container
		> a,
	#tb-main-nav
		.tbm-collapse
		.tbm-nav
		.tbm-item.members-button
		> .tbm-link-container
		> span.no-link {
		margin-left: 0.5rem;
	}
	/* Button - Close */
}

/* ========================================================================== */
/* Mega Menu — Responsive Button (Hamburger)                                   */
/* ========================================================================== */

#btn-hamburger {
	position: fixed;
	top: 1rem;
	right: 1rem;
	z-index: 501;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 4.375rem;
	height: 4.375rem;
	scale: 0.7;
	transform-origin: top right;
	opacity: 1;
	background: #008ca7;
	border: 1px solid #008ca7;
	-webkit-transition: all 200ms cubic-bezier(0.65, 0, 0.35, 1);
	-moz-transition: all 200ms cubic-bezier(0.65, 0, 0.35, 1);
	-ms-transition: all 200ms cubic-bezier(0.65, 0, 0.35, 1);
	-o-transition: all 200ms cubic-bezier(0.65, 0, 0.35, 1);
	transition: all 200ms cubic-bezier(0.65, 0, 0.35, 1);
}

body.mobile-menu-is-active {
	position: fixed;
	width: 100%;
}

body.toolbar-fixed #btn-hamburger {
	top: 75px;
}

body.toolbar-vertical #btn-hamburger {
	top: 46px;
}

#tb-main-nav .tbm.tbm--mobile .tbm-collapse {
	padding-top: 87px;
}

#btn-hamburger .hamburger-inner,
#btn-hamburger .hamburger-inner:before,
#btn-hamburger .hamburger-inner:after {
	background-color: #fff;
}

#btn-hamburger.is-active {
	top: 0.65rem;
	scale: 0.5;
	background: #d73e33;
	border: 2px solid #d73e33;
}

#btn-hamburger.is-active .hamburger-inner,
#btn-hamburger.is-active .hamburger-inner:before,
#btn-hamburger.is-active .hamburger-inner:after {
	background-color: #fff;
}

@media screen and (min-width: 1025px) {
	#btn-hamburger {
		display: none;
	}
}

/*----- MEMBERS BUTTON - Open -----*/
.user-guest #tb-main-nav .members-button .tbm-submenu.tbm-item-child {
	/* max-width: 820px; */
	max-width: 320px;
	left: auto;
	right: 0;
}
.user-guest
	#tb-main-nav
	.members-button
	.tbm-submenu.tbm-item-child
	> .tbm-row {
	/* grid-template-columns: repeat(8, 1fr); */
	grid-template-columns: repeat(1, 1fr);
}
/*----- MEMBERS BUTTON - Close -----*/

/*----- BLOG - RECENT POSTS - Open -----*/
#page-wrapper .mm__blog-recent-posts {
	background: #f3f9fa;
	background: linear-gradient(180deg, #f3f9fa 45%, #ffffff 95%);
	padding: 1.5rem !important;
}
#page-wrapper .mm__blog-recent-posts h2.block-title {
	align-items: flex-end;
	background: linear-gradient(90deg, #ffffff 0%, #f3f9fa 100%);
	border-radius: 0.25rem;
	color: #000000 !important;
	display: flex;
	font-family: var(--tb-mm-secondary-font-family);
	font-size: 12px;
	font-weight: 700;
	gap: 0.5rem;
	letter-spacing: 3px;
	margin-bottom: 0.5rem;
	padding: 0.75rem;
	text-transform: uppercase;
}
#page-wrapper .mm__blog-recent-posts h2.block-title::before {
	color: var(--color-primary);
	content: '\f15c' !important;
	display: block !important;
	font-family: 'Font Awesome 7 Pro' !important;
	font-size: 1.125rem !important;
	font-weight: 300 !important;
	margin: 0 !important;
	transform: translateY(0px);
}
#page-wrapper .mm__blog-recent-posts .views-row {
	border-bottom: 1px solid #c7dfe3;
	padding: 0.75rem 0;
}
#page-wrapper .mm__blog-recent-posts .views-row a {
	color: var(--color-heading);
	font-size: 1rem;
	font-weight: 400;
	display: flex;
	gap: 0.5rem;
	padding: 0 0.25rem;
}
#page-wrapper .mm__blog-recent-posts .views-row a:hover {
	color: var(--color-primary);
}
#page-wrapper .mm__blog-recent-posts .views-row a::before {
	color: var(--color-primary-400);
	content: '\e122';
	font-family: 'Font Awesome 7 Pro';
	font-size: 0.625rem;
	font-weight: 700;
}

#page-wrapper .mm__blog-recent-posts .view-footer {
	display: flex;
	justify-content: flex-end;
	margin-top: 1.25rem;
}
#page-wrapper .mm__blog-recent-posts .view-footer a {
	background-color: var(--color-primary-200);
	border-radius: 0.25rem;
	color: var(--color-heading);
	display: inline-flex;
	font-size: 0.8125rem;
	font-weight: 600;
	padding: 0.5rem 0.75rem;
	text-transform: uppercase;
	transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
	line-height: 140%;
}
#page-wrapper .mm__blog-recent-posts .view-footer a:hover {
	background-color: var(--color-primary-300);
	color: var(--color-heading);
}
/*----- BLOG - RECENT POSTS - Close -----*/
